Subject: bug#63744: 28.2; fix dired-guess-default

From: Michael Heerdegen <[email-masked]>
Date: Tue, 30 May 2023 02:04:43 +0200

Eli Zaretskii <[email-masked]> writes:

> If it's a bad regression, why didn't we hear about it until now?

This (gone) feature had not been documented.  I fixed this regression in
my local config and added a note "make a bug report".  I'm sorry that I
didn't do this.

In my estimation, the dired-mode's way to configure the "open with"
behavior is too inconvenient for the majority of people and they just
don't use it, so they don't care.  The rest has a bunch of advices of
dired functions in their init file or uses self written stuff.

This patch is a step to improve this situation.

Michael.